POST api/batchapi/witnessfordrying

Request Information

URI Parameters

None.

Body Parameters

MedistreamStateViewModel
NameDescriptionTypeAdditional information
medistream_id

globally unique identifier

None.

batch_id

globally unique identifier

None.

Request Formats

application/json, text/json

Sample:
{
  "medistream_id": "d31b867f-73fd-4bc2-88bc-33bb2689913e",
  "batch_id": "54f8ad08-d3d4-4828-8769-18b7533493d2"
}

application/xml, text/xml

Sample:
<medistream_state xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <batch_id>54f8ad08-d3d4-4828-8769-18b7533493d2</batch_id>
  <medistream_id>d31b867f-73fd-4bc2-88bc-33bb2689913e</medistream_id>
</medistream_state>

application/x-www-form-urlencoded

Sample:

Sample not available.

Response Information

Resource Description

WitnessForDryingViewModel
NameDescriptionTypeAdditional information
medistream_state

integer

None.

current_batch

string

None.

witnesses

Collection of WitnessForDryingItem

None.

Response Formats

application/json, text/json

Sample:
{
  "medistream_state": 1,
  "current_batch": "sample string 2",
  "witnesses": [
    {
      "witnessId": "5c8b8e64-55a7-40a8-8344-75c7fdc9a666",
      "witnessCode": 2.1,
      "compartment": 3,
      "state": 4
    },
    {
      "witnessId": "5c8b8e64-55a7-40a8-8344-75c7fdc9a666",
      "witnessCode": 2.1,
      "compartment": 3,
      "state": 4
    }
  ]
}

application/xml, text/xml

Sample:
<witness_for_drying xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <current_batch>sample string 2</current_batch>
  <medistream_state>1</medistream_state>
  <witnesses>
    <WitnessForDryingItem>
      <Compartment>3</Compartment>
      <State>4</State>
      <WitnessCode>2.1</WitnessCode>
      <WitnessId>5c8b8e64-55a7-40a8-8344-75c7fdc9a666</WitnessId>
    </WitnessForDryingItem>
    <WitnessForDryingItem>
      <Compartment>3</Compartment>
      <State>4</State>
      <WitnessCode>2.1</WitnessCode>
      <WitnessId>5c8b8e64-55a7-40a8-8344-75c7fdc9a666</WitnessId>
    </WitnessForDryingItem>
  </witnesses>
</witness_for_drying>